#!/bin/bash
#

if [ $# -lt 1 ]
then
   echo "USAGE:  tarUpsUpd.sh <product-dir> [source]"
   exit 1
fi

PRODUCTS=${1}
type=${2}

upsver=v5_0_1
updver=v4_7_5
upsdotver=`echo ${upsver} | sed -e 's/_/./g' | sed -e 's/^v//'`

OS1=`uname`

if [ ${OS1} = "Darwin" ]
then
   plat=`uname -m`
   #OSnum=`uname -r | cut -f1 -d"."`
   #OS=${OS1}${OSnum}
    mactype=`system_profiler -xml -detailLevel mini SPSoftwareDataType | grep Mac | wc -w`
    if [ ${mactype} -gt 0 ]
    then
       macos=`system_profiler  -xml -detailLevel mini SPSoftwareDataType | grep Mac | cut -d ' ' -f 4 | cut -d . -f 1,2`
       macos1=`system_profiler -xml -detailLevel mini SPSoftwareDataType | grep Mac | cut -d ' ' -f 4 | cut -d . -f 1`
       macos2=`system_profiler -xml -detailLevel mini SPSoftwareDataType | grep Mac | cut -d ' ' -f 4 | cut -d . -f 2`
    else 
       macos=`system_profiler  -xml -detailLevel mini SPSoftwareDataType | grep "OS X" | cut -d ' ' -f 3 | cut -d . -f 1,2`
       macos1=`system_profiler -xml -detailLevel mini SPSoftwareDataType | grep "OS X" | cut -d ' ' -f 3 | cut -d . -f 1`
       macos2=`system_profiler -xml -detailLevel mini SPSoftwareDataType | grep "OS X" | cut -d ' ' -f 3 | cut -d . -f 2`
    fi
    OS=osx${macos1}${macos2}
else
   plat=`uname -p`
   OSnum=`lsb_release -r | cut -f2 | cut -f1 -d"."`
   OS=${OS1}${OSnum}
   if [ `lsb_release -d | cut  -f3 -d" "` = "SLF" ]
   then
      OS=slf${OSnum}
   fi
   if [ `lsb_release -i | cut -f2` = "ScientificFermi" ]
   then
      OS=slf${OSnum}
   fi
   if [ `lsb_release -i | cut -f2` = "CentOS" ]
   then
      OS=slf${OSnum}
   fi
   if [ `lsb_release -d | cut  -f4 -d" "` = "SLC" ]
   then
      OS=slc${OSnum}
   fi
   if [ `lsb_release -d | cut  -f4 -d" "` = "LTS" ]
   then
      OS=slf${OSnum}
   fi
fi

source ${PRODUCTS}/setup
if [ ${OS1} = "Darwin" ]
then
   flvr=`ups flavor -2`
else
   flvr=`ups flavor`
fi

set -x

cd ${PRODUCTS}

if [ "${type}" = "source" ]
then
   tar cjf ups-upd-${upsdotver}-source.tar.bz2 \
      setup .up* upd/${updver} \
      ups/${upsver}/*.sh ups/${upsver}/tar
else
   tar cjf ups-upd-${upsdotver}-${OS}-${plat}.tar.bz2 \
      setup .up* \
      upd/${updver}*  upd/current.chain \
      ups/current.chain/${flvr}_ ups/${upsver}.version/${flvr}_ \
      ups/${upsver}/${flvr} 
fi

exit 0
